SBP_TARG(4)

NAME
sbp_targ - Serial Bus Protocol 2 (SBP-2) Target Mode devices driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device sbp_targ
device firewire
device scbus
device targ

Alternatively, to load the driver as a module at boot time, place the following lines in loader.conf(5):

    firewire_load="YES"
    cam_load="YES"
    sbp_targ_load"YES"

DESCRIPTION
The sbp_targ driver provides support for SBP-2 target mode. This driver is supposed to work with cam(4), targ(4) and firewire(4). You also need to use scsi_target(8), which can be found in /usr/share/examples/scsi_target, to provide actual devices.

EXAMPLES

    # mdconfig -a -t malloc -s 10m
    md0
    # scsi_target 0:0:0 /dev/md0
    (Assuming sbp_targ0 on scbus0)

SEE ALSO
cam(4), firewire(4), targ(4), camcontrol(8), fwcontrol(8), kldload(8), scsi_target(8)

AUTHORS
-nosplit The sbp_targ driver was written by Hidetoshi Shimokawa.

BUGS
This driver is It does not work correctly in multi-initiator environments or after the bus topology has been changed.